groovy.lang

## Class StringWriterIOException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - groovy.lang.StringWriterIOException

All Implemented Interfaces:
  Serializable

    public class StringWriterIOException
    extends RuntimeException

An IO exception occurred trying to append to a StringWriter which should never happen.

Version:
  $Revision: 6778 $
Author:
  James Strachan
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`StringWriterIOException(IOException e)`

### Method Summary

Methods
`IOException` `getIOException()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### StringWriterIOException

    public StringWriterIOException(IOException e)

### Method Detail

#### getIOException

    public IOException getIOException()